> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Smart Link Spenders (/api-reference/smart-links/list-smart-link-spenders)

Compatibility endpoint returning fans with attributed spend through a Smart Link

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/smart-links/{smart_link_id}/spenders
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/smart-links/{smart_link_id}/spenders:
    parameters:
      - in: path
        name: smart_link_id
        description: The ID of the smart link.
        example: beatae
        required: true
        schema:
          type: string
    get:
      summary: List Smart Link Spenders
      operationId: listSmartLinkSpenders
      description: Compatibility endpoint returning fans with attributed spend through
        a Smart Link
      parameters:
        - in: query
          name: limit
          description: The number of spenders to return per page. Default `50`
          example: 50
          required: false
          schema:
            type: integer
            description: The number of spenders to return per page. Default `50`
            example: 50
        - in: query
          name: offset
          description: The offset used for pagination. Default `0`
          example: 0
          required: false
          schema:
            type: integer
            description: The offset used for pagination. Default `0`
            example: 0
        - in: query
          name: minSpend
          description: Minimal spend of a fan. Default `1`
          example: 1
          required: false
          schema:
            type: number
            description: Minimal spend of a fan. Default `1`
            example: 1
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - onlyfans_id: "100000001"
                      username: demo_spender_a
                      revenue:
                        total: 109.88
                        calculated_at: 2026-01-31T12:00:00+00:00
                    - onlyfans_id: "100000002"
                      username: demo_spender_b
                      revenue:
                        total: 32.96
                        calculated_at: 2026-01-31T12:00:00+00:00
                  _meta:
                    _credits:
                      used: 0
                      balance: 999999
                      note: Free endpoint
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                properties:
                  data:
                    type: array
                    example:
                      - onlyfans_id: "100000001"
                        username: demo_spender_a
                        revenue:
                          total: 109.88
                          calculated_at: 2026-01-31T12:00:00+00:00
                      - onlyfans_id: "100000002"
                        username: demo_spender_b
                        revenue:
                          total: 32.96
                          calculated_at: 2026-01-31T12:00:00+00:00
                    items:
                      type: object
                      properties:
                        onlyfans_id:
                          type: string
                          example: "100000001"
                        username:
                          type: string
                          example: demo_spender_a
                        revenue:
                          type: object
                          properties:
                            total:
                              type: number
                              example: 109.88
                            calculated_at:
                              type: string
                              example: 2026-01-31T12:00:00+00:00
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 0
                          balance:
                            type: integer
                            example: 999999
                          note:
                            type: string
                            example: Free endpoint
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
      tags:
        - Smart Links
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````